body{
    margin: 0;
    padding: 0;
    background: #00041d;
}
a{
    position: absolute;
    top:50%;
    left: 50%;
    transform: translate(-50%,-50%);
    width: 160px;
    height: 40px;
    background: #00072f;
    text-align: center;
    line-height: 40px;
    border-radius: 40px;
    color: #fff;
    text-transform: uppercase;
    text-decoration: none;
    font-family: sans-serif;
    letter-spacing: 6px;
    transition: 5s;
    overflow: hidden;
    box-shadow: -15px 0 50px rgba(022,20,152,1), 15px 0 50px rgba(122,0,255,1);
}
a:before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background: rgba(252,20,152,0);
    filter: blur(4px);
    transition: 5s;
    z-index: -1;
}
a:hover{
    color: #fff;
    box-shadow: -15px 0 50px rgba(252,20,152,1);
    text-shadow: 0 0 10px rgba(255,255,255,0.50), 0 0 25px rgba(255,255,255,0.50),
    0 0 35px rgba(255,255,255,0.50);
}
a:hover:before{
    background: rgba(252 ,20,152,1);
    transform: scaleX(5);
}
a:after{
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background: rgba(122,0,255,0);
    filter: blur(4px);
    transition: 5s;
    z-index: -1;
    mix-blend-mode: lighten;
}
a:hover:after{
    background: rgba(122,0,255,1);
    transform: scaleX(5);
}
